> ## Documentation Index
> Fetch the complete documentation index at: https://docs-v2.ard.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiweatherarchivesmodels

> Get all available archive models and their time intervals



## OpenAPI

````yaml https://sahabah-prod.devops.arabiaweather.com/openapi.json get /api/weather/archives/models
openapi: 3.1.0
info:
  title: sahabah-api
  description: ''
  license:
    name: ''
  version: 1.0.0
servers:
  - url: https://sahabah-prod.devops.arabiaweather.com
    description: Production API server
  - url: https://sahabah-stg.devops.arabiaweather.com
    description: Staging API server
security: []
tags:
  - name: System
    description: System health and monitoring endpoints
  - name: Aviation
    description: Aviation data parsing endpoints
  - name: Weather
    description: Weather data and forecasting endpoints
  - name: Reports
    description: Forecast accuracy analysis and reporting endpoints
paths:
  /api/weather/archives/models:
    get:
      tags:
        - Weather
      description: Get all available archive models and their time intervals
      operationId: get_archive_models
      parameters:
        - name: x-api-key
          in: header
          description: API key for authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Archive models with intervals successfully retrieved
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponse_ModelsResponse'
        '401':
          description: Unauthorized
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppError'
      security:
        - x-api-key: []
components:
  schemas:
    SuccessResponse_ModelsResponse:
      type: object
      required:
        - data
        - timestamp
        - request_id
        - build
      properties:
        build:
          type: string
        data:
          type: object
          required:
            - models
          properties:
            models:
              type: array
              items:
                $ref: '#/components/schemas/ModelInfo'
        request_id:
          type: string
        timestamp:
          type: string
          format: date-time
    AppError:
      oneOf:
        - type: object
          required:
            - unauthorized
          properties:
            unauthorized:
              type: array
              items:
                type: object
              maxItems: 2
              minItems: 2
        - type: object
          required:
            - service-unavailable
          properties:
            service-unavailable:
              type: array
              items:
                type: object
              maxItems: 2
              minItems: 2
        - type: object
          required:
            - bad-request
          properties:
            bad-request:
              type: array
              items:
                type: object
              maxItems: 2
              minItems: 2
        - type: object
          required:
            - invalid-request
          properties:
            invalid-request:
              type: array
              items:
                type: object
              maxItems: 2
              minItems: 2
        - type: object
          required:
            - internal-error
          properties:
            internal-error:
              type: array
              items:
                type: object
              maxItems: 2
              minItems: 2
    ModelInfo:
      type: object
      required:
        - name
        - intervals
      properties:
        intervals:
          type: array
          items:
            $ref: '#/components/schemas/ModelInterval'
        name:
          type: string
    ModelInterval:
      type: object
      required:
        - start
      properties:
        end:
          type:
            - string
            - 'null'
        start:
          type: string

````